Info New version of Fahcore_22 with updated driver & CUDA requirements

voodoo5_6k

Senior member
Jan 14, 2021
324
357
106
Just accidentally stumbled over CUDA errors in my FAH logs (was looking into them because my production was a little on the low side, WU's taking too long etc.).

There seems to be a new version of Fahcore_22 which is based on CUDA 11.x. This means, that the nVidia drivers & CUDA available in Debian 10 (excl. backports) are insufficient to run Fahcore_22 anymore... I definitely see this Fahcore_22 version in many, maybe even all current WUs. My system throws a CUDA error (CUDA_ERROR_INVALID_PTX), then falls back to OpenCl...

I'll need to move my system to a newer version in the next few days, as soon as I find the time to do that. Definitely before the folding race starts...

 
  • Like
Reactions: Pokey and Ken g6

Markfw

CPU Moderator, VC&G Moderator, Elite Member
Super Moderator
May 16, 2002
22,183
10,409
136
What needs updating? Linux ? Nvidia drivers ? Or just fah_22 ?
 

StefanR5R

Elite Member
Dec 10, 2016
4,414
5,093
136
Basically, the NVidia drivers.

I haven't tested now, but it looks my computers will be OK:
Mint 20, Nvidia driver 470, CUDA 11.4, glibc 2.31
 
  • Like
Reactions: Pokey

Pokey

Platinum Member
Oct 20, 1999
2,721
372
126
@voodoo5_6k
Thanks for the alert.
@Markfw
The FAH client automatically pulls the latest core, at least mine did. I was running the Nvidia 460 drivers and not seeing any errors, but updated to 470 drivers as they are now the (recommended) ones anyway. Everything continues to run smoothly. Just check your Nvidia drivers when you can.
 

Markfw

CPU Moderator, VC&G Moderator, Elite Member
Super Moderator
May 16, 2002
22,183
10,409
136
@voodoo5_6k
Thanks for the alert.
@Markfw
The FAH client automatically pulls the latest core, at least mine did. I was running the Nvidia 460 drivers and not seeing any errors, but updated to 470 drivers as they are now the (recommended) ones anyway. Everything continues to run smoothly. Just check your Nvidia drivers when you can.
Yup, thanks. Current estimate for discharge from the hospital is tomorrow, Monday ! S I should have time to check a few things before the race starts. Stats must be holding@20 m ppd for me based on the stats.
 

voodoo5_6k

Senior member
Jan 14, 2021
324
357
106
I'm back up running. I've moved the system to Debian 11 (currently nVidia driver 460.91 and CUDA 11.2) yesterday and it's running fine since then.
 
  • Like
Reactions: Assimilator1

StefanR5R

Elite Member
Dec 10, 2016
4,414
5,093
136
A quick look around on the net suggests to me that the CUDA 11 requirement can be met by having at least the Nvidia driver version 450.
 
  • Like
Reactions: voodoo5_6k

Markfw

CPU Moderator, VC&G Moderator, Elite Member
Super Moderator
May 16, 2002
22,183
10,409
136
A quick look around on the net suggests to me that the CUDA 11 requirement can be met by having at least the Nvidia driver version 450.
460 works for me. 430 does NOT work. Most of mine were 430, and the oldest choice for upgrade was 460, and the one one that works most of the time without a linux reinstall.
 
Last edited:

voodoo5_6k

Senior member
Jan 14, 2021
324
357
106
A quick look around on the net suggests to me that the CUDA 11 requirement can be met by having at least the Nvidia driver version 450.
Yeah, that seems to be about right. Debian 10 has 418 series driver what is too old in this case. So, that meant game over for my Buster install :D
 

StefanR5R

Elite Member
Dec 10, 2016
4,414
5,093
136
For posterity: The public rollout of the respective OPENMM_22 core update was announced on November 14, just one day in advance of the rollout:
https://foldingforum.org/viewtopic.php?f=24&t=37545

This announcement also contains precise info about driver version requirements.

*Maybe* prior information about this update had been available to accepted members of the beta testing program, which takes place in a closed section of the foldingforum. It's a pity that there was still so much unnecessary guesswork left in the open section of the foldingforum, as well as in this very thread.
 
Last edited:

ASK THE COMMUNITY

TRENDING THREADS